%define major 1.0
%define majorminor 1.0
%define bname gstreamer1.0

%bcond_with experimental

%define build_amrnb 0
%define build_amrwbdec 0
%define build_lame 0
%define build_x264 0

##########################
# Hardcode PLF build
%define build_plf 0
##########################

%if %{build_plf}
%define distsuffix plf
# make EVR of plf build higher than regular to allow update, needed with rpm5 mkrel
%define extrarelsuffix plf
%define build_amrnb 1
%define build_amrwbdec 1
%define build_lame 1
%define build_x264 1
%endif

Summary:	GStreamer Streaming-media framework plug-ins
Name:		%{bname}-plugins-ugly
Version:	1.6.3
Release:	1.1%{?extrarelsuffix}
License:	LGPLv2+
Group:		Sound
Source0:	http://gstreamer.freedesktop.org/src/gst-plugins-ugly/gst-plugins-ugly-%{version}.tar.xz
Url:		http://gstreamer.freedesktop.org/
BuildRequires:	pkgconfig(check)
BuildRequires:	pkgconfig(dvdread)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0) >= %{version}
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(id3tag)
BuildRequires:	pkgconfig(mad)
BuildRequires:	pkgconfig(orc-0.4)
%ifnarch %{mips} %{arm}
BuildRequires:	pkgconfig(valgrind)
%endif
Requires:	%{bname}-a52dec
%if %{build_amrnb}
Requires:	%{bname}-amrnb
%endif
%if %{build_amrwbdec}
Requires:	%{bname}-amrwbdec
%endif
Requires:	%{bname}-cdio
%if %{build_lame}
Requires:	%{bname}-lame
%endif
Requires:	%{bname}-mpeg
Requires:	%{bname}-sid
Requires:	%{bname}-twolame
%if %{build_x264}
Requires:	%{bname}-x264
%endif
Provides:	%{bname}-audiosrc
Provides:	%{bname}-audiosink

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related. Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

This package contains a set of plug-ins that have good quality and
correct functionality, but distributing them might pose problems. The
license on either the plug-ins or the supporting libraries might not
be how the GStreamer authors like. The code might be widely known to
present patent problems.

%if %{build_plf}
This package is in Restricted repository as it violates some patents.
%endif

%files -f gst-plugins-ugly-%{majorminor}.lang
%doc AUTHORS COPYING README NEWS
%{_libdir}/gstreamer-%{majorminor}/libgstasf.so
%{_libdir}/gstreamer-%{majorminor}/libgstdvdlpcmdec.so
%{_libdir}/gstreamer-%{majorminor}/libgstdvdread.so
%{_libdir}/gstreamer-%{majorminor}/libgstdvdsub.so
%{_libdir}/gstreamer-%{majorminor}/libgstmad.so
%{_libdir}/gstreamer-%{majorminor}/libgstrmdemux.so
%if %{with experimental}
%{_libdir}/gstreamer-%{majorminor}/libgstsynaesthesia.so
%endif
%{_libdir}/gstreamer-%{majorminor}/libgstxingmux.so

#----------------------------------------------------------------------------

%package -n %{bname}-a52dec
Summary:	GStreamer VOB decoder plugin
Group:		Sound
BuildRequires:	a52dec-devel >= 0.7.3
Requires:	%{bname}-plugins >= %{version}-%{release}

%description -n %{bname}-a52dec
Plugin for decoding of VOB files.

%files -n %{bname}-a52dec
%{_libdir}/gstreamer-%{majorminor}/libgsta52dec.so

#----------------------------------------------------------------------------

%if %{build_amrnb}
%package -n %{bname}-amrnb
Summary:	GStreamer plug-in for AMR-NB support
Group: 		Sound
BuildRequires:	pkgconfig(opencore-amrnb)
Requires:	%{bname}-plugins >= %{version}-%{release}

%description -n %{bname}-amrnb
Plug-in for decoding AMR-NB under GStreamer.

This package is in restricted repository as it violates some patents.

%files -n %{bname}-amrnb
%{_libdir}/gstreamer-%{majorminor}/libgstamrnb.so
%{_datadir}/gstreamer-%{majorminor}/presets/GstAmrnbEnc.prs
%endif

#----------------------------------------------------------------------------

%if %{build_amrwbdec}
%package -n %{bname}-amrwbdec
Summary:	GStreamer plug-in for AMR-WB decoding support
Group:		Sound
BuildRequires:	pkgconfig(opencore-amrwb)
Requires:	%{bname}-plugins >= %{version}-%{release}

%description -n %{bname}-amrwbdec
Plug-in for decoding AMR-Wb under GStreamer.

This package is in restricted repository as it violates some patents.

%files -n %{bname}-amrwbdec
%{_libdir}/gstreamer-%{majorminor}/libgstamrwbdec.so
%endif

#----------------------------------------------------------------------------

%package -n %{bname}-cdio
Summary:	GStreamer plug-in for audio CD playback
Group:		Sound
BuildRequires:	pkgconfig(libcdio)
Requires:	%{bname}-plugins >= %{version}-%{release}

%description -n %{bname}-cdio
Plug-in for audio CD playback.

%files -n %{bname}-cdio
%{_libdir}/gstreamer-%{majorminor}/libgstcdio.so

#----------------------------------------------------------------------------

%if %{build_lame}
%package -n %{bname}-lame
Summary:	GStreamer plug-in for encoding mp3 songs using lame
Group:		Sound
BuildRequires:	liblame-devel >= 3.89
Requires:	%{bname}-plugins >= %{version}-%{release}

%description -n %{bname}-lame
Plug-in for encoding mp3 with lame under GStreamer.

This package is in the restricted repository as it violates some patents.

%files -n %{bname}-lame
%{_libdir}/gstreamer-%{majorminor}/libgstlame.so
%endif

#----------------------------------------------------------------------------

%package -n %{bname}-mpeg
Summary:	GStreamer plug-ins for MPEG video playback and encoding
Group:		Video
BuildRequires:	pkgconfig(libmpeg2)
Requires:	%{bname}-plugins >= %{version}-%{release}

%description -n %{bname}-mpeg
Plug-ins for playing and encoding MPEG video.

%files -n %{bname}-mpeg
%{_libdir}/gstreamer-%{majorminor}/libgstmpeg2dec.so

#----------------------------------------------------------------------------

%package -n %{bname}-sid
Summary:	GStreamer Sid C64 music plugin
Group:		Sound
BuildRequires:	sidplay-devel => 1.36.0
Requires:	%{bname}-plugins >= %{version}-%{release}

%description -n %{bname}-sid
Plugin for playback of C64 SID format music files

%files -n %{bname}-sid
%{_libdir}/gstreamer-%{majorminor}/libgstsid.so

#----------------------------------------------------------------------------

%package -n %{bname}-twolame
Summary:	GStreamer plug-in for MP2 encoding support
Group:		Sound
BuildRequires:	pkgconfig(twolame)
Requires:	%{bname}-plugins >= %{version}-%{release}

%description -n %{bname}-twolame
Plug-in for encoding MP2 under GStreamer.

%files -n %{bname}-twolame
%{_libdir}/gstreamer-%{majorminor}/libgsttwolame.so

#----------------------------------------------------------------------------

%if %{build_x264}
%package -n %{bname}-x264
Summary:	GStreamer plug-in for H264/AVC video encoding
Group:		Video
BuildRequires:	pkgconfig(x264)
Requires:	%{bname}-plugins >= %{version}-%{release}

%description -n %{bname}-x264
Plug-in for encoding H264/AVC video.

This package is in restricted repository as it violates some patents.

%files -n %{bname}-x264
%{_libdir}/gstreamer-%{majorminor}/libgstx264.so
%{_datadir}/gstreamer-%{majorminor}/presets/GstX264Enc.prs
%endif

#----------------------------------------------------------------------------

%prep
%setup -qn gst-plugins-ugly-%{version}

%build
%configure2_5x \
	--disable-dependency-tracking \
	--disable-static \
	--with-package-name='%{distribution} %{name} package' \
	--with-package-origin='%{disturl}' \
%if !%{build_lame}
	--disable-lame \
%endif
%if %{with experimental}
	--enable-experimental
%endif

%make

%check
cd tests/check
make check

%install
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

%find_lang gst-plugins-ugly-%{majorminor}

#remove gtk-doc
rm -rf %{buildroot}%{_datadir}/gtk-doc

%changelog

* Wed Mar 01 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.6.3-1.1
- (aba1628) Bump release


